import XCTest
import Model
@testable import CustomTypes

final class CustomTypesTests: XCTestCase {
    func testExample() throws {
        guard var board = Board(columns: 4, rows: 4) else {
            XCTFail()
            return
        }
        
        let playerA = Player(name: "Dummy A", piece_type: .A)
        let playerB = Player(name: "Dummy B", piece_type: .B)
        
        board[1, 1] = Piece(owner: playerA)
        board[2, 1] = Piece(owner: playerA)
        board[2, 2] = Piece(owner: playerA)
        board[1, 2] = Piece(owner: playerB)
        
        let text: String = board.description
        
        XCTAssertEqual(text, "⚪⚪⚪⚪\n⚪🔴🔴⚪\n⚪🟡🔴⚪\n⚪⚪⚪⚪\n")
    }
}
